Bug 1458665

Summary: Arbitrary Branching
Product: [Fedora] Fedora Reporter: Jan Kurik <jkurik>
Component: Changes TrackingAssignee: Matt Prahl <mprahl>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 27CC: audrey, mprahl, rbean
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: ChangeAcceptedF27, SystemWideChange
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-11-14 08:58:42 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jan Kurik 2017-06-05 07:19:44 UTC
This is a tracking bug for Change: Arbitrary Branching
For more details, see: https://fedoraproject.org//wiki/Changes/ArbitraryBranching

Tooling changes to support the new way of branching for Fedora 27

Comment 1 Jan Kurik 2017-08-10 06:18:20 UTC
On 2017-Aug-01, we have reached the Fedora 27 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be enabled at Change Completion deadline as well.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo for 2017-Aug-11 meeting.

Please set this bug to the MODIFIED state to indicate it is already in the testable state, or provide an update describing the current state of implementation for this Change.

Thank you,
Jan

Comment 2 Matt Prahl 2017-08-10 13:29:30 UTC
We are still working on the change but most of the work is done. Pagure over dist-git is up and PkgDB is in a read-only state. We still need to release the fedrepo-req tool which is used to replace the PkgDB ticketing system (it is in *-testing) right now. We are still migrating over certain scripts/services that query PkgDB to use Pagure and PDC.

Comment 3 Jan Kurik 2017-08-15 06:34:14 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 4 Jan Kurik 2017-09-06 13:38:39 UTC
On 2017-Sep-05 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 27 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan